Loading...
Searching...
No Matches
Dune::cpgrid::LocalIndexProxy< AccessMethod, SizeMethod > Class Template Reference

A proxy class representing a row of LocalIndexContainerProxy. More...

`#include <GridHelpers.hpp>`

## Classes

class | iterator

## Public Types

typedef iterator | const_iterator

## Public Member Functions

| LocalIndexProxy (const Dune::CpGrid *grid, int cell_index)
| Constructor.
int | operator[] (int local_index)
| Get the index of the cell associated with a local_index.
const_iterator | begin ()
const_iterator | end ()

## Detailed Description

template<int(Dune::CpGrid::*)(int, int) const AccessMethod, int(Dune::CpGrid::*)(int) const SizeMethod>
class Dune::cpgrid::LocalIndexProxy< AccessMethod, SizeMethod >

A proxy class representing a row of LocalIndexContainerProxy.

Template Parameters

  AccessMethod | Function pointer to access the values of a sparse row (e.g. the faces attached to a cell.
  SizeMethod | Fuction pointer to access the size of the sparse row (e.g. the number of faces attached to a cell.

## Constructor & Destructor Documentation

## LocalIndexProxy()

template<int(Dune::CpGrid::*)(int, int) const AccessMethod, int(Dune::CpGrid::*)(int) const SizeMethod>

Dune::cpgrid::LocalIndexProxy< AccessMethod, SizeMethod >::LocalIndexProxy | ( | const Dune::CpGrid * | grid,
|  | int | cell_index )

inline

Constructor.

Parameters

  grid | The grid whose face to cell mapping we represent.
  cell_index | The index of the cell we repesent.

The documentation for this class was generated from the following file:

- opm/grid/cpgrid/GridHelpers.hpp